## javax.persistence
Annotation Type EntityResult

    @Target(value={})
    @Retention(value=RUNTIME)
    public @interface EntityResult

Required Element Summary
`java.lang.Class` `entityClass`

Optional Element Summary
`java.lang.String` `discriminatorColumn`
`FieldResult[]` `fields`

Element Detail

### entityClass

    public abstract java.lang.Class entityClass

### fields

    public abstract FieldResult[] fields

  Default:
    {}

### discriminatorColumn

    public abstract java.lang.String discriminatorColumn

  Default:
    ""